View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000755aMuleMiscpublic2006-01-06 12:042006-01-17 19:26
Reporterlao 
Assigned ToXaignar 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionSVN 
Summary0000755: Ascending/Descending sort order is not remembered per-column
Description1a. Click on Column1 : Sort order -> ascending (yep)
2a. Click on Column2 : Sort order -> ascending (yep)

3a. Click on Column1 : Sort order -> descending (nope, it's still ascending)
4a. Click on Column2 : Sort order -> descending (nope, it's still ascending)

Now, arguably, the column's sort-order (ascending/descending) should not be changed the first time, because clicking on a different column already changes the primary/secondary sort priority (whether it sorts first by Column1 and, in case of a tie by Column2, or the other way around).

But, in that case, the following should work (but doesn't).

1b. Click on Column1 *twice* : Sort order -> descending (yep)
2b. Click on Column2 *twice* : Sort order -> descending (yep)

3b. Click on Column1 : Sort order -> still descending (nope, it's now ascending)
4b. Click on Column2 : Sort order -> still descending (nope, it's now ascending)
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2006-01-06 12:04 lao New Issue
2006-01-07 04:02 Kry Status new => assigned
2006-01-07 04:02 Kry Assigned To => Xaignar
2006-01-17 19:26 Xaignar Status assigned => resolved
2006-01-17 19:26 Xaignar Fixed in Version => CVS
2006-01-17 19:26 Xaignar Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker